package com.steerinfo.ems.tfileoperate.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.tfileoperate.model.TFileOperate;
import com.steerinfo.ems.tfileoperate.mapper.TFileOperateMapper;
import com.steerinfo.ems.tfileoperate.service.ITFileOperateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;

/**
 * TFileOperate服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2023-05-10 02:31
 * 类描述
 * 修订历史：
 * 日期：2023-05-10
 * 作者：generator
 * 参考：
 * 描述：TFileOperate服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tFileOperateService")
public class TFileOperateServiceImpl extends BaseServiceImpl<TFileOperate, String> implements ITFileOperateService {

    @Autowired
    private TFileOperateMapper tFileOperateMapper;

    @Override
    protected IBaseMapper<TFileOperate, String> getMapper() {
        return tFileOperateMapper;
    }
}
